haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.Haddock

Description

Render an abstract representation of documentation (as produced by `parseGtkDoc`) as Haddock formatted documentation.

Synopsis

- deprecatedPragma :: Text -> Maybe DeprecationInfo -> CodeGen e ()
- writeDocumentation :: RelativeDocPosition -> Documentation -> CodeGen e ()
- data RelativeDocPosition
  - = DocBeforeSymbol
  - | DocAfterSymbol
- writeHaddock :: RelativeDocPosition -> Text -> CodeGen e ()
- writeArgDocumentation :: Arg -> CodeGen e ()
- writeReturnDocumentation :: Callable -> Bool -> CodeGen e ()
- addSectionDocumentation :: HaddockSection -> Documentation -> CodeGen e ()

# Documentation

deprecatedPragma :: Text -> Maybe DeprecationInfo -> CodeGen e () Source #

Write the deprecation pragma for the given `DeprecationInfo`, if not `Nothing`.

writeDocumentation :: RelativeDocPosition -> Documentation -> CodeGen e () Source #

Write the given documentation into generated code.

data RelativeDocPosition Source #

Where is the documentation located with respect to the relevant symbol, useful for determining whether we want to start with `|` or `^`.

Constructors

DocBeforeSymbol |
DocAfterSymbol |

writeHaddock :: RelativeDocPosition -> Text -> CodeGen e () Source #

Like `writeDocumentation`, but allows us to pass explicitly the Haddock comment to write.

writeArgDocumentation :: Arg -> CodeGen e () Source #

Write the documentation for the given argument.

writeReturnDocumentation :: Callable -> Bool -> CodeGen e () Source #

Write the documentation for the given return value.

addSectionDocumentation :: HaddockSection -> Documentation -> CodeGen e () Source #

Add the given text to the documentation for the section being generated.